=begin pod

=TITLE class X::Method::InvalidQualifier

    class X::Method::InvalidQualifier is Exception { }

Thrown when a method is call in the form C<$invocant.TheClass::method> if
<$invocant> does not conform to C<TheClass>.

For example

    1.Str::split(/a/)

dies with

    dispatch to method split on Str because it is not inherited or done by Int

=head1 Methods

=head2 method

    method method() returns Str:D

Returns the name of the (unqualified) method.

=head2 invocant

Returns the invocant of the failed, qualified method call

=head2 qualifier-type

Returns the type by which the method call was qualified.

=end pod
